@charset "UTF-8";

:root {
  --black: #1e1414;
  --white: #fff;
  --red: #dc5a46;
  --yellow :#faeb9b;
}

*, *::before, *::after {
  box-sizing: border-box;
}
* {
  margin: 0 auto;
}
body {
  line-height: 1.5;
  -webkit-font-smoothing: antialiased;
}
img, picture, video, canvas, svg {
  display: block;
  max-width: 100%;
}
input, button, textarea, select {
  font: inherit;
}
p, h1, h2, h3, h4, h5, h6 {
  overflow-wrap: break-word;
}

html {
    font-size: clamp(14px, 3.3vw, 18px);
}

body {
    color: var(--white);
    font-family: "Noto Sans JP", sans-serif;
    font-optical-sizing: auto;
    font-weight: 500;
    font-style: normal;
    font-feature-settings: "palt";
    text-align: center;
}

#left_wrap {
    position: fixed;
    top: 0;
    left: 0;
    width: 50%;
    height: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
    background: 
    url(img/bg01.webp) center / cover no-repeat,
    url(img/bg02.png) center / 20px repeat,
    var(--yellow);
}
#right_wrap {
    position: relative;
    width: 50%;
    background: url(img/bg.webp) top center / 600px repeat;
    margin-right: 0;
    padding: 0;
}
#right_wrap>div {
    border-left: 6px dotted var(--yellow);
    border-right: 6px dotted var(--yellow);
    margin: 0 2rem;
}

main {
    margin: 0 auto;
    padding: 2rem;
}

section {
    margin: 0;
    padding: 0;
}

h1 {
    width: 90%;
}
h1 img{
    width: 100%;
    max-width: 1000px;
}

h2 {
    font-family: "RocknRoll One", sans-serif;
    font-weight: 400;
    font-style: normal;
    font-size: 2rem;
    color: var(--red);
    line-height: 1;
    text-box-trim: trim-both;
    text-box-edge: cap alphabetic;
    padding: 1rem 0;
    margin-bottom: 1rem;
    display: flex;
    justify-content: center;
    gap: .2em;
}
h2 span {
    display: flex;
    justify-content: center;
    align-items: center;
    background-color: var(--white);
    color: var(--black);
    box-shadow: 2px 2px 0px var(--black);
    border-radius: 50%;
    width: 4rem;
    height: 4rem;
    margin: 0;
}

h3 {
    font-family: "RocknRoll One", sans-serif;
    font-weight: 400;
    font-style: normal;
    font-size: 1rem;
    border: 2px solid var(--black);
    box-shadow: 2px 2px 0 var(--black);
    color: var(--black);
    background: var(--white);
    margin: 1.6rem auto .8rem;
    padding: .3rem 0;
    max-width: 10rem;
}

p {
    text-align: center;
    line-height: 1.8;
    margin-bottom: .8rem;
    text-shadow: 1px 1px 1px rgba(0, 0, 0, .3);
}
a:hover{
    opacity: .9;
}

p.lead {
    font-family: "RocknRoll One", sans-serif;
    font-weight: 400;
    font-style: normal;
    font-size: 1.2rem;
    letter-spacing: -.4px;
}
p.lead span {
    display: inline-block;
}

p.kikan {
    font-weight: 600;
    line-height: 1;
}
p.kikan span {
    font-size: 1.6rem;
    font-weight: 500;
}


ul.join_city {
    padding: 0;
    margin: 1.2rem auto 2.2rem;
    list-style: none;
    display: grid;
    gap: .6rem;
    max-width: 500px;
}
ul.join_city li {
    background-color: #fffced;
    color: var(--black);
    padding: .8rem 0;
    width: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-wrap: wrap;
    border-radius: 6px;
}
ul.join_city li span{
    font-size: 70%;
    display: inline-block;
    background: #6e960f;
    color: var(--white);
    padding: .1rem 1em;
    margin: 0 0 0 .5em;
    font-weight: 400;
    border-radius: 100px;
}

.event-link {
    display: flex;
    align-items: center;
    margin: 0 0 2rem;
    justify-content: center;
    width: 100%;
}
.event-link a {
    display: flex;
    align-items: center;
    justify-content: center;
    padding: 0;
    margin: 0;
    color: var(--white);
}
#fc-wrap .event-link {
    justify-content: flex-start;
}
a.info-x {
  margin-right: .4em;
}
a.info-x svg {
    width: 1.6em;
    margin-right: .3em;
    background: #000;
    color: #fff;
    fill: #fff;
    border-radius: 3px;
    padding: 4px;
}
a.info-map svg {
    width: 1.5em;
    color: var(--yellow);
    padding: 0;
    fill: var(--yellow);
}


footer {
    position: relative;
    margin: 0 auto;
    font-size: .8rem;
    padding: 1rem 0;
    margin: 0 auto;
    color: var(--yellow);
}


@media (orientation: portrait), (max-width: 1000px) {
    #left_wrap {
        position: relative;
        width: 100%;
        height: 120vw;
    }
    #right_wrap {
        width: 100%;
        margin: 0 auto;
        padding: 1rem 0;
        
    }
    #right_wrap>div {
        border: 4px dotted var(--yellow);
        margin: 0 .8rem;
    }
    h1 {
        width: 100%;
    }
    main {
        padding: 1rem;
        margin: 1rem auto 0;
    }
    footer {
        border: none;
        background: none;
    }
}
